VERSION 5.00
Begin VB.Form FormFingerprint 
   Caption         =   "Form1"
   ClientHeight    =   4740
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5925
   LinkTopic       =   "Form1"
   ScaleHeight     =   4740
   ScaleWidth      =   5925
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox txtData 
      Height          =   3015
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertikal
      TabIndex        =   1
      Top             =   1560
      Width           =   5655
   End
   Begin VB.CommandButton btnExecute 
      Caption         =   "Execute"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   $"FormFingerprint.frx":0000
      Height          =   735
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   5655
   End
End
Attribute VB_Name = "FormFingerprint"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub btnExecute_Click()
    
    Dim ft As fingerTemplate
    Dim ftSize As Long
    Dim Error As Long
    Dim out As String
    
    ' Initialise Message string
    out = ""
    
    If DFCComOpenIV(1, 31, 1, "COM1", 38400, 800) = 0 Then
        ' Interface could'nt initialised
        MsgBox "ffnen der Schnittstelle COM1 fehlgeschlagen."
        Exit Sub
    End If
    
    ftSize = 161
    ' First we get one record
    If DFCFingerprintGetRecord(1, 254, 0, 1000, 1, ft, ftSize, Error) = 0 Then
        MsgBox "Ermitteln des Fingertemplates der PID 1000 Fehlgeschlagen."
        ' Close interface
        DFCComClose 1
        Exit Sub
    End If
    
    Dim i As Long
    out = "Fingerprint nach DINV66400" & vbCrLf
    out = out & "PID: " & ft.pidHi & vbCrLf
    out = out & "FID: " & ft.fid & vbCrLf
    out = out & "Quality: " & ft.quality & vbCrLf
    out = out & "Anzahl:" & ft.count & vbCrLf
    For i = 0 To (ft.count - 1)
 
     out = out & "Minutiae ( " & i & " ): " & Right("00" & Hex(ft.data(0, i)), 2) & " " & Right("00" & Hex(ft.data(1, i)), 2) & " " & Right("00" & Hex(ft.data(2, i)), 2) & vbCrLf
    Next i
    txtData = out

   ' delete this record
    If DFCFingerprintDeleteRecord(1, 254, 1000, 1, Error) = 0 Then
        MsgBox "Lschen des Fingertemplates der PID 1000 Fehlgeschlagen."
        ' Close interface
        DFCComClose 1
        Exit Sub
    End If
    
    ' Change PID
    ft.pidHi = ft.pidHi + 1
    ' First we get one record
    If DFCFingerprintAppendRecord(1, 254, 0, ft, ftSize, Error) = 0 Then
        MsgBox "Anfgen des Fingertemplates der PID 1001 Fehlgeschlagen."
        ' Close interface
        DFCComClose 1
        Exit Sub
    End If
   
    ' Close interface
    DFCComClose 1
End Sub



